Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025581
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-01-28 15:532014-02-13 07:18
ReportercaristuView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revision09939d0a339c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP30SCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-12-12
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/diff/754dc3e1c786/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js [^]
Triggers an Emergency PackNo
Summary

0025581: Display logic is not working fine for warehouse picking list lines tab

DescriptionDisplay logic is not working fine for warehouse picking list lines tab
Steps To ReproduceInstall module "Warehouse Picking List"

1) Create a new sales order with one line at least
2) Book it
3) Generate the picking list for it
4) Go to the [Warehouse Picking] window and notice that the lines tab is not being displayed.

The problem is that tab lines has a display logic based on auxiliary input:
display logic=@DOCTYPE_USEOUTBOUND@='N'
auxiliary input=@SQL=SELECT em_obwpl_useoutbound FROM c_doctype WHERE c_doctype_id = @C_DOCTYPE_ID@
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00248773.0MP29 closedshankarb Display Logic on tab with auxiliary input error 
related to defect 00259513.0PR14Q2 closedAugustoMauch The displaylogic is not working if an auxiliary input is used. 
related to defect 00261973.0PR14Q3 closedguillermogil Display logic on tabs based on auxiliary inputs are not working on windows which does't have buttons 

-  Notes
(0064077)
hgbot (developer)
2014-02-12 16:11

Repository: erp/devel/pi
Changeset: 09939d0a339ca16bc772e77b9610581389664cdd
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Feb 12 16:10:18 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/09939d0a339ca16bc772e77b9610581389664cdd [^]

Fixes issue 25581: Display logic is not working fine using auxiliary input

The problem was that the display logic was using an auxiliary input defined for the parent tab, but its value was being wrongly overwritten by the subtab (the tab being hidden/shown). I
t has been fixed by adding the subtab session properties only if they are not an auxiliary input in the parent tab.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0064078)
hgbot (developer)
2014-02-12 16:37

Repository: erp/devel/pi
Changeset: 4988331796f248edf192b4dd00995900b23d20aa
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Feb 12 16:37:31 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/4988331796f248edf192b4dd00995900b23d20aa [^]

Related to issue 25581: Prevents refreshing the views redundantly

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0064084)
hgbot (developer)
2014-02-12 17:26

Repository: erp/devel/pi
Changeset: 9fe6f07fed7df89a16c080219cac19c1ce69ea2c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Wed Feb 12 17:25:36 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/9fe6f07fed7df89a16c080219cac19c1ce69ea2c [^]

Related to issue 25581: Only refresh if the tabset was hidden

Otherwise the refresh is done automatically

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0064085)
caristu (developer)
2014-02-12 18:05

The Warehouse Picking List window is working fine after applying these fixes
(0064199)
hudsonbot (developer)
2014-02-13 07:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/76fb3237bc3a [^]
Maturity status: Test
(0064200)
hudsonbot (developer)
2014-02-13 07:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/76fb3237bc3a [^]
Maturity status: Test
(0064205)
hudsonbot (developer)
2014-02-13 07:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/76fb3237bc3a [^]
Maturity status: Test
(0064211)
shankarb (developer)
2014-02-13 07:18

Code reviewed and verified in pi changeset 083d67ea235a.

- Issue History
Date Modified Username Field Change
2014-01-28 15:53 caristu New Issue
2014-01-28 15:53 caristu Assigned To => jecharri
2014-01-28 16:26 jecharri Project Modules => Openbravo ERP
2014-01-28 16:26 jecharri Modules => Core
2014-01-28 16:26 jecharri Triggers an Emergency Pack => No
2014-01-28 16:26 jecharri Assigned To jecharri => AugustoMauch
2014-01-28 16:26 jecharri Category Warehouse Picking => A. Platform
2014-01-28 16:30 jecharri Steps to Reproduce Updated View Revisions
2014-01-28 16:33 jecharri Relationship added related to 0024877
2014-01-28 16:35 jecharri Steps to Reproduce Updated View Revisions
2014-02-10 10:16 jonalegriaesarte Priority high => immediate
2014-02-10 10:16 jonalegriaesarte Target Version => 3.0MP32
2014-02-10 10:17 caristu Regression level => Production - QA Approved
2014-02-10 10:17 caristu version => 3.0MP30
2014-02-10 10:17 caristu Target Version 3.0MP32 =>
2014-02-10 10:20 caristu Severity minor => major
2014-02-11 12:06 priyam Issue Monitored: priyam
2014-02-12 15:22 AugustoMauch Regression date => 2013-12-12
2014-02-12 15:22 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/diff/754dc3e1c786/modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js [^]
2014-02-12 15:22 AugustoMauch Issue Monitored: shankarb
2014-02-12 16:11 hgbot Checkin
2014-02-12 16:11 hgbot Note Added: 0064077
2014-02-12 16:11 hgbot Status new => resolved
2014-02-12 16:11 hgbot Resolution open => fixed
2014-02-12 16:11 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/09939d0a339ca16bc772e77b9610581389664cdd [^]
2014-02-12 16:37 hgbot Checkin
2014-02-12 16:37 hgbot Note Added: 0064078
2014-02-12 17:26 hgbot Checkin
2014-02-12 17:26 hgbot Note Added: 0064084
2014-02-12 18:05 caristu Note Added: 0064085
2014-02-13 07:16 hudsonbot Checkin
2014-02-13 07:16 hudsonbot Note Added: 0064199
2014-02-13 07:16 hudsonbot Checkin
2014-02-13 07:16 hudsonbot Note Added: 0064200
2014-02-13 07:16 hudsonbot Checkin
2014-02-13 07:16 hudsonbot Note Added: 0064205
2014-02-13 07:18 shankarb Review Assigned To => shankarb
2014-02-13 07:18 shankarb Note Added: 0064211
2014-02-13 07:18 shankarb Status resolved => closed
2014-02-13 07:18 shankarb Fixed in Version => 3.0MP32
2014-03-11 13:36 egoitz Relationship added related to 0025951
2014-04-07 17:13 caristu Relationship added related to 0026197


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker